import React from 'react';
import { UseClickOutsideParams } from '../../../hooks/useClickOutside';
import { UseStateInterface, UseRefInterface } from '../../../models/react';
interface Hooks {
    useState: UseStateInterface;
    useRef: UseRefInterface;
}
export interface MenuProps {
    children: React.ReactNode;
    variant?: 'default';
    menuNode: React.ReactNode;
    position?: 'left' | 'right' | 'center';
    hooks: Hooks & Pick<UseClickOutsideParams, 'useEffect'>;
}
declare const Menu: React.FC<MenuProps>;
export default Menu;
