import React from 'react';
import { ButtonSquareProps } from '../../../story/Button/ButtonSquare/ButtonSquare';
import { MenuProps } from '../../../story/Menu/Menu';
import { MenuPersonalDataProps } from '../../Menus/MenuPersonalData/MenuPersonalData';
export interface HeaderMobileProps extends MenuPersonalDataProps {
    onClickLogo?: () => void;
    onClickBurger: () => void;
    isAuth: boolean;
    isPaid: boolean;
    clubAccess: boolean;
    userAvatarImg?: string;
    nodeBeforeNav?: React.ReactNode;
    nodeAfterNav?: React.ReactNode;
    hrefOptions: ButtonSquareProps['hrefOptions'];
    hooks: MenuProps['hooks'];
}
declare const HeaderMobile: React.FC<HeaderMobileProps>;
export default HeaderMobile;
