import { Dispatch, SetStateAction, MutableRefObject } from 'react';
export declare type UseStateInterface = <S>(initialState: S | (() => S)) => [S, Dispatch<SetStateAction<S>>];
export declare type UseRefInterface = <T>(initialValue: T) => MutableRefObject<T>;
export declare type UseEffectInterface = any;
