import React from 'react';
import { ButtonProps } from "../Button/Button";
interface HrefOptions {
    useHook?: () => any;
    isNextApp?: boolean;
    isDefaultHref?: boolean;
    url?: string;
    href: string;
}
interface NavOptions extends ButtonProps {
    isActive: boolean;
    onClick?: (e: React.MouseEvent<HTMLButtonElement>) => unknown;
    href: string;
    hrefOptions?: HrefOptions;
}
declare const ButtonNavNode: React.FC<NavOptions>;
export default ButtonNavNode;
