import React from 'react';
interface TypographyProps {
    as?: 'div' | 'span' | 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6' | 'button' | 'a';
    className?: string;
    children: React.ReactNode;
    onClick?: (e: React.MouseEvent) => any;
    [key: string]: unknown;
}
declare const Typography: React.FC<TypographyProps>;
export declare const Header1: React.FC<TypographyProps>;
export declare const Header2: React.FC<TypographyProps>;
export declare const Header3: React.FC<TypographyProps>;
export declare const Header4: React.FC<TypographyProps>;
export declare const Header5: React.FC<TypographyProps>;
export declare const Header6: React.FC<TypographyProps>;
export declare const Title: React.FC<TypographyProps>;
export declare const Paragraph: React.FC<TypographyProps>;
export declare const Description: React.FC<TypographyProps>;
export declare const Caption: React.FC<TypographyProps>;
export declare const FooterMob: React.FC<TypographyProps>;
export default Typography;
