import React from 'react';
import { ButtonSquareProps } from '../../../story/Button/ButtonSquare/ButtonSquare';
import { MenuProps } from '../../../story/Menu/Menu';
import { MenuPersonalDataProps } from '../../Menus/MenuPersonalData/MenuPersonalData';
declare type NavLabelsDefault = 'Мои расходы' | 'Инвестиции' | 'Обучение' | 'Тарифы' | 'О проекте' | 'Лента';
declare type NavLabelsAuth = 'Мои деньги' | 'Мои расходы' | 'Инвестиции' | 'Обучение' | 'Тарифы' | 'О проекте' | 'Лента';
declare type NavLabelsPaid = 'Мои деньги' | 'Мои расходы' | 'Инвестиции' | 'Обучение' | 'Клуб' | 'Поиск' | 'Лента';
export interface Nav {
    label: NavLabelsDefault;
    href: string;
    url?: string;
    isActive?: boolean;
    icon?: React.ReactNode;
}
export interface NavAuth {
    label: NavLabelsAuth;
    href: string;
    url?: string;
    isActive?: boolean;
    icon?: React.ReactNode;
}
export interface NavPaid {
    label: NavLabelsPaid;
    href?: string;
    url?: string;
    isActive?: boolean;
    icon?: React.ReactNode;
    onClick?: () => void;
}
export interface NavClub {
    label: NavLabelsPaid;
    href: string;
    url?: string;
    isActive?: boolean;
    icon?: React.ReactNode;
}
export interface NavClub {
    label: NavLabelsPaid;
    onClick?: () => void;
    isActive?: boolean;
    icon?: React.ReactNode;
}
export interface HeaderDesktopProps extends MenuPersonalDataProps {
    onClickLogo?: () => void;
    nodeBeforeNav?: React.ReactNode;
    navsDefault?: Nav[];
    navsAuth?: NavAuth[];
    navsPaid?: NavPaid[];
    navsClub?: NavClub[];
    nodeAfterNav?: React.ReactNode;
    isAuth: boolean;
    isPaid: boolean;
    clubAccess: boolean;
    userAvatarImg?: string;
    hrefOptions: ButtonSquareProps['hrefOptions'];
    hooks: MenuProps['hooks'];
}
export declare const defaultNavs: HeaderDesktopProps['navsDefault'];
export declare const authNavs: HeaderDesktopProps['navsAuth'];
export declare const paidNavs: HeaderDesktopProps['navsPaid'];
export declare const clubNavs: HeaderDesktopProps['navsClub'];
export declare const clubPaidNavs: HeaderDesktopProps['navsClub'];
declare const HeaderDesktop: React.FC<HeaderDesktopProps>;
export default HeaderDesktop;
